## com.sun.jersey.core.spi.component
Class AnnotatedContext

    java.lang.Object
      com.sun.jersey.core.spi.component.AnnotatedContext

All Implemented Interfaces:
  ComponentContext

    public class AnnotatedContext

extends java.lang.Object
implements ComponentContext

A component context for an accessible object and/or an array of annotations.

Author:
  Paul.Sandoz@Oracle.Com

Constructor Summary
`AnnotatedContext()`
`AnnotatedContext(java.lang.reflect.AccessibleObject ao)`
`AnnotatedContext(java.lang.reflect.AccessibleObject ao, java.lang.annotation.Annotation[] annotations)`
`AnnotatedContext(java.lang.annotation.Annotation[] annotations)`

Method Summary
`java.lang.reflect.AccessibleObject` | `getAccesibleObject()` Get the accessible object.
`java.lang.annotation.Annotation[]` | `getAnnotations()` Get the array of annotations.
`void` | `setAccessibleObject(java.lang.reflect.AccessibleObject ao)`
`void` | `setAnnotations(java.lang.annotation.Annotation[] annotations)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedContext

    public AnnotatedContext()

### AnnotatedContext

    public AnnotatedContext(java.lang.annotation.Annotation[] annotations)

### AnnotatedContext

    public AnnotatedContext(java.lang.reflect.AccessibleObject ao)

### AnnotatedContext

    public AnnotatedContext(java.lang.reflect.AccessibleObject ao,
                            java.lang.annotation.Annotation[] annotations)

Method Detail

### setAnnotations

    public void setAnnotations(java.lang.annotation.Annotation[] annotations)

### setAccessibleObject

    public void setAccessibleObject(java.lang.reflect.AccessibleObject ao)

### getAccesibleObject

    public java.lang.reflect.AccessibleObject getAccesibleObject()

  Description copied from interface: `ComponentContext`
  Get the accessible object.

  Specified by:
    `getAccesibleObject` in interface `ComponentContext`
  Returns:
    the accessible object, may be null.

### getAnnotations

    public java.lang.annotation.Annotation[] getAnnotations()

  Description copied from interface: `ComponentContext`
  Get the array of annotations.

  Specified by:
    `getAnnotations` in interface `ComponentContext`
  Returns:
    the array of annotations.

Copyright © 2017 Oracle Corporation. All Rights Reserved.